###############################################################################
# ContactPageSettings.pl                                                      #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Community Software for Webmasters                               #
# Version:        YaBB 2.4                                                    #
# Packaged:       April 12, 2009                                              #
# Distributed by: http://www.yabbforum.com                                    #
# =========================================================================== #
# Copyright (c) 2000-2009 YaBB (www.yabbforum.com) - All Rights Reserved.     #
# Software by:  The YaBB Development Team                                     #
#               with assistance from the YaBB community.                      #
# Sponsored by: Xnull Internet Media, Inc. - http://www.ximinc.com            #
#               Your source for web hosting, web design, and domains.         #
###############################################################################

$contactpageadminplver = 'YaBB 2.4 $Revision: 0.2 $';
if ($action eq 'detailedversion') { return 1; }

if (!-e("$vardir/ContactPage.txt")) { &ContactPage2; }
require "$vardir/ContactPage.txt";

&LoadLanguage('ContactPage');

sub ContactPage { 
	
	&is_admin_or_gmod;
	
	if    (!$en_contactpage)     { $selcon1  = ' selected="selected"'; }
	elsif ($en_contactpage == 1) { $selcon2  = ' selected="selected"'; }
	elsif ($en_contactpage == 2) { $selcon3  = ' selected="selected"'; }
	if    ($en_conspellcheck)    { $chkspellcheck = ' checked="checked" '; }
	if    (!$en_valimage)        { $selval1  = ' selected="selected"'; }
	elsif ($en_valimage == 1)    { $selval2  = ' selected="selected"'; }
	elsif ($en_valimage == 2)    { $selval3  = ' selected="selected"'; }
	if    ($en_selfcopy)         { $chkselfcopy = ' checked="checked" '; }
	if    ($en_contact_auto)     { $chkcontact_auto = ' checked="checked" '; }
	
	$MaxConMesLen = 2000 if $MaxConMesLen eq '';
    chomp $contact_subjects;
	$contact_subjects =~ s~\|~\n~g;
	$contact_auto =~ s~<br \/>~\n~g;

$yymain .= qq~
<form action="$adminurl?action=contactpage2" method="post">
  <div class="bordercolor" style="padding: 0px; width: 99%; margin-left: 0px; margin-right: auto;">
	<table width="100%" cellspacing="1" cellpadding="4">
     <colgroup>
	   <col width="50%" />
	   <col width="50%" />
     </colgroup>
     <tr>
       <td style="text-align: left;" class="titlebg" colspan="2">
         <img src="$imagesdir/contact.gif" alt="" border="0" style="vertical-align: middle;" /> <b>$mod_list{'contact'}</b>
       </td>
     </tr>
     <tr>
       <td style="text-align: left;" class="catbg" colspan="2">
         <span class="small">$contactadmin_txt{'32'}</span>
       </td>
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="en_contactpage">$contactadmin_txt{'01'}:</label>
       </td>
       <td class="windowbg2" valign="top">
      	 <select name="en_contactpage" id="en_contactpage" size="1">
		  <option value="0"$selcon1>$contactadmin_txt{'02'}</option>
		  <option value="1"$selcon2>$contactadmin_txt{'03'}</option>
		  <option value="2"$selcon3>$contactadmin_txt{'04'}</option>
		 </select>
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="contact_email">$contactadmin_txt{'05'}:<br /><span class="small">$contactadmin_txt{'06'}<br />$contactadmin_txt{'07'}: $webmaster_email</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="contact_email" id="contact_email" size="35" value="$contact_email" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="subject_pre">$contactadmin_txt{'08'}:<br /><span class="small">$contactadmin_txt{'09'}<br />$contactadmin_txt{'10'}: $contactpre_txt{'01'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="subject_pre" id="subject_pre" size="35" value="$subject_pre" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="contact_subjects">$contactadmin_txt{'11'}:<br /><span class="small">$contactadmin_txt{'12'}</span>
       </td>
       <td class="windowbg2" valign="top">
         <textarea cols="40" rows="6" name="contact_subjects" id="contact_subjects">$contact_subjects</textarea>
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="maxmeslen">$contactadmin_txt{'13'}:</label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="MaxConMesLen" id="maxmeslen" size="5" value="$MaxConMesLen" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="en_conspellcheck">$contactadmin_txt{'14'}<br /><pan class="small">$contactadmin_txt{'15'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="checkbox" name="en_conspellcheck" id="en_conspellcheck" value="1"$chkspellcheck />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="en_valimage">$contactadmin_txt{'16'}:</label>
       </td>
       <td class="windowbg2" valign="top">
       	 <select name="en_valimage" id="en_valimage" size="1">
		  <option value="0"$selval1>$contactadmin_txt{'02'}</option>
		  <option value="1"$selval2>$contactadmin_txt{'17'}</option>
		  <option value="2"$selval3>$contactadmin_txt{'04'}</option>
		 </select>
       </td>   
     </tr>
     <tr>
       <td style="text-align: left;" class="catbg" colspan="2">
         <span class="small">$contactadmin_txt{'33'}</span>
       </td>
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="en_selfcopy">$contactadmin_txt{'18'}</label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="checkbox" name="en_selfcopy" id="en_selfcopy" value="1"$chkselfcopy />
       </td>   
     </tr>
    <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="selfcopy_email">$contactadmin_txt{'19'}:<br /><span class="small">$contactadmin_txt{'20'}<br />$contactadmin_txt{'07'}: $webmaster_email</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="selfcopy_email" id="selfcopy_email" size="35" value="$selfcopy_email" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="selfcopy_name">$contactadmin_txt{'21'}:<br /><span class="small">$contactadmin_txt{'22'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="selfcopy_name" id="selfcopy_name" size="35" value="$selfcopy_name" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="selfcopy_pre">$contactadmin_txt{'23'}:<br /><span class="small">$contactadmin_txt{'24'}<br />$contactadmin_txt{'10'}: $contactpre_txt{'02'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="selfcopy_pre" id="selfcopy_pre" size="35" value="$autores_sub" />
       </td>   
     </tr>
     <tr>
       <td style="text-align: left;" class="catbg" colspan="2">
         <span class="small">$contactadmin_txt{'34'}</span>
       </td>
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="en_contact_auto">$contactadmin_txt{'25'}<br /></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="checkbox" name="en_contact_auto" id="en_contact_auto" value="1"$chkcontact_auto />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="contact_auto">$contactadmin_txt{'26'}:<br /><span class="small">$contactadmin_txt{'27'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <textarea cols="60" rows="10" name="contact_auto" id="contact_auto">$contact_auto</textarea>
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="autores_email">$contactadmin_txt{'28'}:<br /><span class="small">$contactadmin_txt{'29'}<br />$contactadmin_txt{'07'}: $webmaster_email</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="autores_email" id="autores_email" size="35" value="$autores_email" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="autores_name">$contactadmin_txt{'30'}:<br /><span class="small">$contactadmin_txt{'22'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="autores_name" id="autores_name" size="35" value="$autores_name" />
       </td>   
     </tr>
     <tr style="text-align: left;">
       <td class="windowbg2" valign="top">
         <label for="autores_pre">$contactadmin_txt{'31'}:<br /><span class="small">$contactadmin_txt{'24'}<br />$contactadmin_txt{'10'}: $contactpre_txt{'03'}</span></label>
       </td>
       <td class="windowbg2" valign="top">
         <input type="text" name="autores_pre" id="autores_pre" size="35" value="$autores_pre" />
       </td>   
     </tr>
   </table>
  </div>
  <div class="bordercolor" style="padding: 0px; width: 99%; margin-top: 1em; margin-left: 0px; margin-right: auto;">
   <table width="100%" cellspacing="1" cellpadding="4">
     <tr valign="middle">
       <td align="left" class="titlebg" colspan="2">
         <img src="$imagesdir/preferences.gif" alt="" border="0" /> <b>$admin_txt{'10'}</b>
       </td>
     </tr>
     <tr align="center" valign="middle">
       <td align="center" class="catbg" colspan="2">
         <input class="button" type="submit" value="$admin_txt{'10'}" />
       </td>
     </tr>
   </table>
  </div>
</form>
~;

	$yytitle = $mod_list{'contact1'};
	$action_area = "contactpage";
	&AdminTemplate;
	exit;

}

sub ContactPage2 {
	
	&is_admin_or_gmod;
	
	$en_contactpage = $FORM{'en_contactpage'} || "0";
	$contact_email = $FORM{'contact_email'};
    $en_conspellcheck = $FORM{'en_conspellcheck'} || "0";
    $en_valimage = $FORM{'en_valimage'} || "0";
    $MaxConMesLen = $FORM{'MaxConMesLen'} || "2000";
    $en_selfcopy = $FORM{'en_selfcopy'} || "0";
    $selfcopy_email = $FORM{'selfcopy_email'};
    $selfcopy_name = $FORM{'selfcopy_name'};
    $selfcopy_pre = $FORM{'selfcopy_pre'};
    $subject_pre = $FORM{'subject_pre'};
    $contact_subjects = $FORM{'contact_subjects'};
    $en_contact_auto = $FORM{'en_contact_auto'} || "0";
    $contact_auto = $FORM{'contact_auto'};
	&FromChars($contact_auto);
    &ToHTML($contact_auto);
	$contact_auto =~ s~[\n\r]{1,2}~<br />~g;
    &ToChars($contact_auto);
    $autores_email = $FORM{'autores_email'};
    $autores_name = $FORM{'autores_name'};
    $autores_pre = $FORM{'autores_pre'};
    chomp $contact_subjects;
	$contact_subjects =~ s~\r~~g;
	$contact_subjects =~ s~\n~|~g;

    my $setfile = << "EOF";
###############################################################################
# ContactPage.txt (Contact Page configurations)                               #
###############################################################################

\$en_contactpage = $en_contactpage;
\$contact_email = "\Q$contact_email\E";
\$en_conspellcheck = $en_conspellcheck;       
\$en_valimage = $en_valimage;
\$MaxConMesLen = $MaxConMesLen;
\$en_selfcopy = $en_selfcopy;
\$selfcopy_email = "\Q$selfcopy_email\E";
\$selfcopy_name = "\Q$selfcopy_name\E";
\$selfcopy_pre = "\Q$selfcopy_pre\E";
\$subject_pre = "\Q$subject_pre\E";
\$contact_subjects = "\Q$contact_subjects\E";
\$en_contact_auto = $en_contact_auto;
\$contact_auto = "$contact_auto";
\$autores_email = "\Q$autores_email\E";
\$autores_name = "\Q$autores_name\E";
\$autores_pre = "\Q$autores_pre\E";

1;
EOF

	fopen(FILE, ">$vardir/ContactPage.txt");
	print FILE $setfile;
	fclose(FILE);

	if ($action eq "contactpage2") {
		$yySetLocation = qq~$adminurl?action=contactpage~;
		&redirectexit;
	}

}

1;